Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515298 - [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: g_desktop_app_info_get_is_hidden(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:413a51cdf16de6ca6f17825e8a4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 14:20 UTC by Arjen Heidinga
Modified: 2018-05-09 21:25 UTC (History)
8 users (show)

Fixed In Version: cinnamon-3.8.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 21:25:58 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: cgroup (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: core_backtrace (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: cpuinfo (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: dso_list (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: environ (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: exploitable (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: limits (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: maps (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: mountinfo (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: open_fds (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details
File: proc_pid_status (deleted)
2017-11-20 14:20 UTC, Arjen Heidinga
no flags Details

Description Arjen Heidinga 2017-11-20 14:20:19 UTC
Version-Release number of selected component:
cinnamon-3.6.3-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_desktop_app_info_get_is_hidden
executable:     /usr/bin/cinnamon
journald_cursor: s=bd39849c1e084def9cce9a3e50e08328;i=4a30f;b=d31140c0c8d24509b8c59f1c14834c5f;m=5f89f9e;t=55e6aba1731de;x=f6447f248465b95b
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_desktop_app_info_get_is_hidden at gdesktopappinfo.c:2027
 #1 desktop_entry_get_hidden at desktop-entries.c:616
 #2 process_layout at gmenu-tree.c:3442
 #4 gmenu_tree_build_from_layout at gmenu-tree.c:4519
 #5 gmenu_tree_load_sync at gmenu-tree.c:745
 #6 on_apps_tree_changed_cb at cinnamon-app-system.c:354
 #11 menu_layout_invoke_monitors at menu-layout.c:154
 #17 meta_run at core/main.c:542

Potential duplicate: bug 1398001

Comment 1 Arjen Heidinga 2017-11-20 14:20:25 UTC
Created attachment 1355864 [details]
File: backtrace

Comment 2 Arjen Heidinga 2017-11-20 14:20:27 UTC
Created attachment 1355865 [details]
File: cgroup

Comment 3 Arjen Heidinga 2017-11-20 14:20:29 UTC
Created attachment 1355866 [details]
File: core_backtrace

Comment 4 Arjen Heidinga 2017-11-20 14:20:30 UTC
Created attachment 1355867 [details]
File: cpuinfo

Comment 5 Arjen Heidinga 2017-11-20 14:20:32 UTC
Created attachment 1355868 [details]
File: dso_list

Comment 6 Arjen Heidinga 2017-11-20 14:20:33 UTC
Created attachment 1355869 [details]
File: environ

Comment 7 Arjen Heidinga 2017-11-20 14:20:35 UTC
Created attachment 1355870 [details]
File: exploitable

Comment 8 Arjen Heidinga 2017-11-20 14:20:36 UTC
Created attachment 1355871 [details]
File: limits

Comment 9 Arjen Heidinga 2017-11-20 14:20:39 UTC
Created attachment 1355872 [details]
File: maps

Comment 10 Arjen Heidinga 2017-11-20 14:20:40 UTC
Created attachment 1355873 [details]
File: mountinfo

Comment 11 Arjen Heidinga 2017-11-20 14:20:42 UTC
Created attachment 1355874 [details]
File: open_fds

Comment 12 Arjen Heidinga 2017-11-20 14:20:43 UTC
Created attachment 1355875 [details]
File: proc_pid_status

Comment 13 kvor 2017-12-10 10:01:08 UTC
*** Bug 1524130 has been marked as a duplicate of this bug. ***

Comment 14 Ken Dubrick 2018-01-13 20:35:05 UTC
*** Bug 1534176 has been marked as a duplicate of this bug. ***

Comment 15 Triglav 2018-02-26 08:19:25 UTC
*** Bug 1548995 has been marked as a duplicate of this bug. ***

Comment 16 crusty85 2018-03-06 21:22:41 UTC
*** Bug 1552273 has been marked as a duplicate of this bug. ***

Comment 17 mipesom 2018-03-16 00:43:04 UTC
*** Bug 1557091 has been marked as a duplicate of this bug. ***

Comment 18 Ken Dubrick 2018-03-19 19:13:09 UTC
*** Bug 1558184 has been marked as a duplicate of this bug. ***

Comment 19 Vanoywj 2018-03-21 22:13:18 UTC
*** Bug 1559179 has been marked as a duplicate of this bug. ***

Comment 20 Fedora Update System 2018-05-06 18:32:37 UTC
cinnamon-3.8.2-1.fc28 mint-y-icons-1.1.5-1.fc28 mint-themes-1.6.3-1.fc28 xplayer-1.8.0-1.fc28 pix-1.8.0-1.fc28 cinnamon-screensaver-3.8.1-1.fc28 nemo-3.8.2-1.fc28 xed-1.8.0-1.fc28 muffin-3.8.1-1.fc28 xapps-1.2.1-1.fc28 cinnamon-settings-daemon-3.8.1-1.fc28 cinnamon-menus-3.8.1-1.fc28 cinnamon-desktop-3.8.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 21 Fedora Update System 2018-05-07 10:48:01 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d2841d04c8

Comment 22 Fedora Update System 2018-05-09 21:25:58 UTC
cinnamon-3.8.2-1.fc28, cinnamon-desktop-3.8.1-1.fc28, cinnamon-menus-3.8.1-1.fc28, cinnamon-screensaver-3.8.1-1.fc28, cinnamon-settings-daemon-3.8.1-1.fc28, mint-themes-1.6.3-1.fc28, mint-y-icons-1.1.5-1.fc28, muffin-3.8.1-1.fc28, nemo-3.8.2-1.fc28, pix-1.8.0-1.fc28, xapps-1.2.1-1.fc28, xed-1.8.0-1.fc28, xplayer-1.8.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.